[svn] r6213 - in trunk/rpms: davfs2 ebtables pidgin-plugin_pack

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Fri Mar 14 12:07:15 CET 2008


Author: dag
Date: 2008-03-14 11:07:12 +0000 (Fri, 14 Mar 2008)
New Revision: 6213

Added:
   trunk/rpms/davfs2/davfs2-1.2.2-class2.patch
Modified:
   trunk/rpms/davfs2/davfs2-1.2.2.spec
   trunk/rpms/ebtables/ebtables.spec
   trunk/rpms/pidgin-plugin_pack/pidgin-plugin_pack.spec
Log:
Updates

Added: trunk/rpms/davfs2/davfs2-1.2.2-class2.patch
===================================================================
--- trunk/rpms/davfs2/davfs2-1.2.2-class2.patch	2008-03-14 01:19:20 UTC (rev 6212)
+++ trunk/rpms/davfs2/davfs2-1.2.2-class2.patch	2008-03-14 11:07:12 UTC (rev 6213)
@@ -0,0 +1,11 @@
+--- src/webdav.c.orig	2007-05-29 21:19:51.000000000 +0200
++++ src/webdav.c	2008-03-14 04:48:54.748583296 +0100
+@@ -380,7 +380,7 @@
+ 
+     if (ret == 0) {
+         initialized = 1;
+-        if (!caps.dav_class1) {
++        if (!caps.dav_class1 && !caps.dav_class2) {
+             if (have_terminal) {
+                 error(EXIT_FAILURE, 0,
+                       _("mounting failed; the server does not support WebDAV"));

Modified: trunk/rpms/davfs2/davfs2-1.2.2.spec
===================================================================
--- trunk/rpms/davfs2/davfs2-1.2.2.spec	2008-03-14 01:19:20 UTC (rev 6212)
+++ trunk/rpms/davfs2/davfs2-1.2.2.spec	2008-03-14 11:07:12 UTC (rev 6213)
@@ -6,12 +6,13 @@
 Summary: FUSE-Filesystem to access WebDAV servers
 Name: davfs2
 Version: 1.2.2
-Release: 3
+Release: 4
 License: GPL
 Group: System Environment/Kernel
 URL: http://dav.sourceforge.net/
 
 Source: http://dl.sf.net/dav/davfs2-%{version}.tar.gz
+Patch0: davfs2-1.2.2-class2.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 BuildRequires: fuse-devel >= 2.2, neon-devel
@@ -33,6 +34,7 @@
 
 %prep
 %setup
+%patch0 -p0
 
 %build
 %configure \
@@ -86,6 +88,9 @@
 %dir %{_localstatedir}/cache/davfs2/
 
 %changelog
+* Fri Mar 14 2008 Dag Wieers <dag at wieers.com> - 1.2.2-4
+- Added patch to allow acces to the IEEE 802.11 webdav server. (Robert Moskowitz)
+
 * Thu Feb 07 2008 Dag Wieers <dag at wieers.com> - 1.2.2-3
 - Renamed package to davfs2. (Werner Baumann)
 

Modified: trunk/rpms/ebtables/ebtables.spec
===================================================================
--- trunk/rpms/ebtables/ebtables.spec	2008-03-14 01:19:20 UTC (rev 6212)
+++ trunk/rpms/ebtables/ebtables.spec	2008-03-14 11:07:12 UTC (rev 6213)
@@ -6,13 +6,14 @@
 
 Summary: Ethernet Bridge frame table administration tool
 Name: ebtables
-Version: 2.0.8
+%define real_version 2.0.8-2
+Version: 2.0.8.2
 Release: 1
 License: GPL
 Group: System Environment/Base
 URL: http://ebtables.sourceforge.net/
 
-Source: http://dl.sf.net/ebtables/ebtables-v%{version}-1.tar.gz
+Source: http://dl.sf.net/ebtables/ebtables-v%{real_version}.tar.gz
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 %description
@@ -24,8 +25,10 @@
 like iptables. There are no incompatibility issues.
 
 %prep
-%setup -n ebtables-v%{version}-1
+%setup -n %{name}-v%{real_version}
 
+%{__perl} -pi.orig -e 's|__EXEC_PATH__|%{_sbindir}|g' ebtables-save
+
 %{__cat} <<'EOF' >ebtables.sysv
 #!/bin/bash
 #
@@ -57,86 +60,86 @@
 desc="Ethernet bridge filtering"
 
 start() {
-	echo -n $"Starting $desc ($prog): "
-	%{_sbindir}/ebtables -t filter --atomic-file %{_sysconfdir}/sysconfig/ebtables.filter --atomic-commit || RETVAL=1
-	%{_sbindir}/ebtables -t nat --atomic-file %{_sysconfdir}/sysconfig/ebtables.nat --atomic-commit | RETVAL=1
-	%{_sbindir}/ebtables -t broute --atomic-file %{_sysconfdir}/sysconfig/ebtables.broute --atomic-commit || RETVAL=1
+    echo -n $"Starting $desc ($prog): "
+    %{_sbindir}/ebtables -t filter --atomic-file %{_sysconfdir}/sysconfig/ebtables.filter --atomic-commit || RETVAL=1
+    %{_sbindir}/ebtables -t nat --atomic-file %{_sysconfdir}/sysconfig/ebtables.nat --atomic-commit | RETVAL=1
+    %{_sbindir}/ebtables -t broute --atomic-file %{_sysconfdir}/sysconfig/ebtables.broute --atomic-commit || RETVAL=1
 
-	if [ $RETVAL -eq 0 ]; then
-		success "$prog startup"
-		rm -f %{_localstatedir}/lock/subsys/$prog
-	else
-		failure "$prog startup"
-	fi
+    if [ $RETVAL -eq 0 ]; then
+        success "$prog startup"
+        rm -f %{_localstatedir}/lock/subsys/$prog
+    else
+        failure "$prog startup"
+    fi
 
-	echo
-	return $RETVAL
+    echo
+    return $RETVAL
 }
 
 stop() {
-	echo -n $"Starting $desc ($prog): "
-	%{_sbindir}/ebtables -t filter --init-table || RETVAL=1
-	%{_sbindir}/ebtables -t nat --init-table || RETVAL=1
-	%{_sbindir}/ebtables -t broute --init-table || RETVAL=1
+    echo -n $"Starting $desc ($prog): "
+    %{_sbindir}/ebtables -t filter --init-table || RETVAL=1
+    %{_sbindir}/ebtables -t nat --init-table || RETVAL=1
+    %{_sbindir}/ebtables -t broute --init-table || RETVAL=1
 
-	for mod in $(grep -E '^(ebt|ebtable)_' /proc/modules | cut -f1 -d' ') ebtables; do
-		rmmod $mod || RETVAL=1
-	done
+    for mod in $(grep -E '^(ebt|ebtable)_' /proc/modules | cut -f1 -d' ') ebtables; do
+        rmmod $mod || RETVAL=1
+    done
 
-	if [ $RETVAL -eq 0 ]; then
-		success "$prog shutdown"
-		rm -f %{_localstatedir}/lock/subsys/$prog
-	else
-		failure "$prog shutdown"
-	fi
+    if [ $RETVAL -eq 0 ]; then
+        success "$prog shutdown"
+        rm -f %{_localstatedir}/lock/subsys/$prog
+    else
+        failure "$prog shutdown"
+    fi
 
-	echo
-	return $RETVAL
+    echo
+    return $RETVAL
 }
 
 restart() {
-	stop
-	start
+    stop
+    start
 }
 
 save() {
-	echo -n $"Saving $desc ($prog): "
-	%{_sbindir}/ebtables -t filter --atomic-file %{_sysconfdir}/sysconfig/ebtables.filter --atomic-save || RETVAL=1
-	%{_sbindir}/ebtables -t nat --atomic-file %{_sysconfdir}/sysconfig/ebtables.nat --atomic-save || RETVAL=1
-	%{_sbindir}/ebtables -t broute --atomic-file %{_sysconfdir}/sysconfig/ebtables.broute --atomic-save || RETVAL=1
+    echo -n $"Saving $desc ($prog): "
+    %{_sbindir}/ebtables -t filter --atomic-file %{_sysconfdir}/sysconfig/ebtables.filter --atomic-save || RETVAL=1
+    %{_sbindir}/ebtables -t nat --atomic-file %{_sysconfdir}/sysconfig/ebtables.nat --atomic-save || RETVAL=1
+    %{_sbindir}/ebtables -t broute --atomic-file %{_sysconfdir}/sysconfig/ebtables.broute --atomic-save || RETVAL=1
 
-	if [ $RETVAL -eq 0 ]; then
-		success "$prog saved"
-	else
-		failure "$prog saved"
-	fi
-	echo
+    if [ $RETVAL -eq 0 ]; then
+        success "$prog saved"
+    else
+        failure "$prog saved"
+    fi
+    echo
 }
 
 case "$1" in
   start)
-	start
-	;;
+    start
+    ;;
   stop)
-	stop
-	;;
+    stop
+    ;;
   restart|reload)
-	restart
-	;;
+    restart
+    ;;
   condrestart)
-	[ -e %{_localstatedir}/lock/subsys/$prog ] && restart
-	RETVAL=$?
-	;;
+    [ -e %{_localstatedir}/lock/subsys/$prog ] && restart
+    RETVAL=$?
+    ;;
   save)
-	save
-	;;
+    save
+    ;;
   status)
-	status $prog
-	RETVAL=$?
-	;;
+    status $prog
+    RETVAL=$?
+    ;;
   *)
-	echo $"Usage $0 {start|stop|restart|condrestart|save|status}"
-	RETVAL=1
+    echo $"Usage $0 {start|stop|restart|condrestart|save|status}"
+    RETVAL=1
 esac
 
 exit $RETVAL
@@ -148,6 +151,8 @@
 %install
 %{__rm} -rf %{buildroot}
 %{__install} -Dp -m0755 ebtables %{buildroot}%{_sbindir}/ebtables
+%{__install} -Dp -m0755 ebtables-restore %{buildroot}%{_sbindir}/ebtables-restore
+%{__install} -Dp -m0755 ebtables-save %{buildroot}%{_sbindir}/ebtables-save
 %{__install} -Dp -m0755 ebtables.sysv %{buildroot}%{_initrddir}/ebtables
 %{__install} -Dp -m0644 ethertypes %{buildroot}%{_sysconfdir}/ethertypes
 %{__install} -Dp -m0644 ebtables.8 %{buildroot}%{_mandir}/man8/ebtables.8
@@ -168,8 +173,8 @@
 
 %preun
 if [ $1 -eq 0 ]; then
-	/sbin/service ebtables stop &>/dev/null || :
-	/sbin/chkconfig --del ebtables
+    /sbin/service ebtables stop &>/dev/null || :
+    /sbin/chkconfig --del ebtables
 fi
 
 %postun
@@ -184,11 +189,17 @@
 %config %{_initrddir}/ebtables
 %{_libdir}/libebt*.so
 %{_sbindir}/ebtables
+%{_sbindir}/ebtables-restore
+%{_sbindir}/ebtables-save
 %ghost %{_sysconfdir}/ebtables.filter
 %ghost %{_sysconfdir}/ebtables.nat
 %ghost %{_sysconfdir}/ebtables.broute
 
 %changelog
+* Wed Jan 30 2008 Jon Peatfield <J.S.Peatfield at damtp.cam.ac.uk> - 2.0.8.2-1
+- Updated to release 2.0.8-2.
+- Added ebtables-restore and ebtables-save.
+
 * Sun Sep 30 2007 Dag Wieers <dag at wieers.com> - 2.0.8-1
 - Updated to release 2.0.8.
 

Modified: trunk/rpms/pidgin-plugin_pack/pidgin-plugin_pack.spec
===================================================================
--- trunk/rpms/pidgin-plugin_pack/pidgin-plugin_pack.spec	2008-03-14 01:19:20 UTC (rev 6212)
+++ trunk/rpms/pidgin-plugin_pack/pidgin-plugin_pack.spec	2008-03-14 11:07:12 UTC (rev 6213)
@@ -1,6 +1,8 @@
 # $Id$
 # Authority: dag
 
+### FIXME: SPEC file should probably be renamed to purple-plugin_pack
+
 %define real_name purple-plugin_pack
 
 Summary: Plugin Pack for Pidgin
@@ -15,6 +17,9 @@
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
 BuildRequires: pkgconfig, libtool, gettext, xmms-devel, pidgin-devel, gtk2-devel
+### Require purple-plugin_pack for translations and to help people install all the plugins
+Requires: purple-plugin_pack = %{version}-%{release}
+
 Obsoletes: gaim-plugin_pack <= %{version}-%{release}
 Provides: gaim-plugin_pack = %{version}-%{release}
 
@@ -22,6 +27,13 @@
 Plugin Pack is a collection of plugins for the open source
 instant messaging client Pidgin.
 
+%package -n purple-plugin_pack
+Summary: Plugin Pack for libpurple and derived IM clients
+Group: Applications/Internet
+
+%description -n purple-plugin_pack
+Plugin Pack is a collection of plugins for libpurple and derived IM clients.
+
 %prep
 %setup -n %{real_name}-%{version}
 
@@ -37,21 +49,26 @@
 %clean
 %{__rm} -rf %{buildroot}
 
-%files -f plugin_pack.lang
+%files
 %defattr(-, root, root, 0755)
 %doc AUTHORS ChangeLog COPYING NEWS README TODO doc/*.txt
 %dir %{_libdir}/pidgin/
 %{_libdir}/pidgin/*.so
-%dir %{_libdir}/purple-2/
-%{_libdir}/purple-2/*.so
 %dir %{_datadir}/pixmaps/pidgin/
 %{_datadir}/pixmaps/pidgin/plugin_pack/
 %exclude %{_libdir}/pidgin/*.la
+
+%files -n purple-plugin_pack -f plugin_pack.lang
+%defattr(-, root, root, 0755)
+%doc AUTHORS ChangeLog COPYING NEWS README TODO doc/*.txt
+%dir %{_libdir}/purple-2/
+%{_libdir}/purple-2/*.so
 %exclude %{_libdir}/purple-2/*.la
 
 %changelog
 * Sat Mar 01 2008 Dag Wieers <dag at wieers.com> - 2.0.0-1
 - Updated to release 2.0.0.
+- Split package into purple-plugin_pack and pidgin-plugin_pack.
 
 * Sun Jul 01 2007 Dag Wieers <dag at wieers.com> - 1.0-0.beta7
 - Updated to release 1.0beta7.



More information about the svn-commits mailing list